package net.wanji.web.service.impl;

import net.wanji.web.service.ExceptionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import javax.servlet.http.HttpServletRequest;

/**
 * @Description: [异常处理service实现]
 * @author wanji
 * @version 1.0
 * Created on 2019/4/17 12:03
 */
@Slf4j
@Service
public class ExceptionServiceImpl implements ExceptionService {

//    @Value("${service.name: }")
//    private String serverName;
//
//    @Value("${spring.profiles.active: }")
//    private String profile;

    private String HTTP_CONTENT_DEFAULT_CHARSET = "UTF-8";

    private String errorTemplate = "系统：%s\r\n" +
                "环境：%s\r\n" +
                "URL：%s\r\n" +
                "IP：%s\r\n" +
                "操作时间：%s\r\n" +
                "错误描述：%s\r\n" +
                "浏览器信息：%s\r\n" +
                "错误详情：%s";

    /**
     * @description: 异常处理
     * @param exceptionMsg 异常描述
     * @param e 异常对象
     * @param request 请求对象
     * @author wanji
     * @date 2019/4/17 12:06
     */
    @Override
    public void handle(String exceptionMsg, Exception e, HttpServletRequest request) {
        try {

        } catch (Exception e1) {
            log.error("记录输出异常日志失败", e1);
        }
    }

    /**
     * @description: 异常处理detail
     * @param exceptionMsg 异常描述
     * @param e 异常对象
     * @author wanji
     * @date 2019/4/17 12:06
     */
    @Override
    public void handle(String exceptionMsg, Exception e) {
        handle(exceptionMsg, e, null);
    }

    /**
     * @description: 控制台打印异常信息
     * @param exceptionLog 异常信息对象
     * @return void
     * @author wanji
     * @date 2019/4/17 12:35
     */
//    private void consoleLog(ExceptionLog exceptionLog) {
//        String errorText = String.format(errorTemplate,
//                exceptionLog.getSystem(),
//                profile,
//                exceptionLog.getUri(),
//                exceptionLog.getOperatorIp(),
//                DateUtils.dateToString(exceptionLog.getCreateTime(), DateStyle.YYYY_MM_DD_HH_MM_SS),
//                exceptionLog.getDescription()==null?"":exceptionLog.getDescription(),
//                exceptionLog.getBrowerMessage(),
//                exceptionLog.getDetail());
//        LOGGER.error(errorText);
//        LoggerLogcenterUtil.error(getClass(), new LogBeanBuilders().setAccessLog(errorText));
//    }
}
